
Redmine - Defect #30952

Trying to watch an issue without javascript enabled leads to 404

2019-03-02 15:38 - Gray Wolf

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version:  

Description

Recently on Alpine's redmine I've encountered an issue where when I have javascript disable (noscript extension) and try to watch

some issue, I get 404 error. That is not completely expected.

Original report on alpine's bug tracker: https://bugs.alpinelinux.org/issues/10033

History

#1 - 2019-03-02 15:38 - Gray Wolf

And it happens even here. So it's probably not some configuration-related issue.

#2 - 2019-03-03 01:06 - Go MAEDA

- Category set to Issues

- Status changed from New to Closed

- Resolution set to Wont fix

Redmine is not supposed to be used without JavaScript. Many functions don't work with JavaScript disabled.

#3 - 2019-03-03 13:08 - Gray Wolf

So why not at least show some warning "This site requires javascript" or something like that? Button that actually does something but ends with 404 is

not very explicit about why it failed.

#4 - 2019-03-03 14:19 - Go MAEDA

Gray Wolf wrote:

So why not at least show some warning "This site requires javascript" or something like that? Button that actually does something but ends with

404 is not very explicit about why it failed.

 In my opinion, a web browser with JavaScript disabled is a very special environment in 2019. So, I don't think Redmine have to show such warnings.

But if you think Redmine should show the warning, please feel free to open a new issue to request the feature.
